import React, { ReactNode, HTMLProps } from 'react';
import { Omit } from '../../utils';
export interface HtmlAProps extends Omit<HTMLProps<HTMLAnchorElement>, 'ref' | 'as'> {
    children: ReactNode;
    as?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
}
export declare const HtmlA: (props: HtmlAProps) => JSX.Element;
