import { HTMLProps } from 'react';
import { Omit } from '../../utils';
export declare type hLevels = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
export interface HtmlHProps extends Omit<HTMLProps<HTMLHeadingElement>, 'ref' | 'as'> {
    as?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
}
export declare const HtmlH: import("styled-components").StyledComponent<"h1", any, HtmlHProps, never>;
