import React, { HTMLProps } from 'react';
import { Omit } from '../../utils';
export interface HtmlLabelProps extends Omit<HTMLProps<HTMLLabelElement>, 'ref' | 'as'> {
    as?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
    /**
     * HTML Label for ID-name of the element
     */
    for?: string;
}
export declare const HtmlLabel: import("styled-components").StyledComponent<(props: HtmlLabelProps) => JSX.Element, any, {}, never>;
