declare const resets: {
    normalize: import("normalize.cssinjs").cssString;
    common: import("styled-components").FlattenSimpleInterpolation;
};
declare const resetWithSelectors: (selectors: string | string[]) => string;
declare const allStates: (styles: string) => import("styled-components").FlattenSimpleInterpolation;
declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export { resets, resetWithSelectors, allStates, Omit };
