import React, { HTMLProps } from 'react';
import { Omit } from '../../utils';
export interface HtmlInputProps extends Omit<HTMLProps<HTMLInputElement>, 'ref' | 'as'> {
    as?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
    /**
     * HTML Input type
     * @default text
     */
    type?: string;
}
export declare const HtmlInput: import("styled-components").StyledComponent<({ type, ...passProps }: HtmlInputProps) => JSX.Element, any, {}, never>;
