"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
var normalize_cssinjs_1 = require("normalize.cssinjs");
var normalize = normalize_cssinjs_1.normalizeCssInJs({ cssToString: true });
var common = styled_components_1.css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  margin: 0;\n  padding: 0;\n  border: 0;\n  box-sizing: border-box;\n  font: 100% inherit;\n  line-height: 1;\n  text-align: left;\n  text-decoration: none;\n  vertical-align: baseline;\n  color: inherit;\n  background: none;\n  cursor: inherit;\n"], ["\n  margin: 0;\n  padding: 0;\n  border: 0;\n  box-sizing: border-box;\n  font: 100% inherit;\n  line-height: 1;\n  text-align: left;\n  text-decoration: none;\n  vertical-align: baseline;\n  color: inherit;\n  background: none;\n  cursor: inherit;\n"])));
var resets = {
    normalize: normalize,
    common: common,
};
exports.resets = resets;
var resetWithSelectors = normalize_cssinjs_1.resetWithSelectors(normalize);
exports.resetWithSelectors = resetWithSelectors;
var allStates = function (styles) { return styled_components_1.css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  &:hover,\n  &:active,\n  &:focus,\n  &:focus-within {\n    ", "\n  }\n"], ["\n  &:hover,\n  &:active,\n  &:focus,\n  &:focus-within {\n    ", "\n  }\n"])), styles); };
exports.allStates = allStates;
var templateObject_1, templateObject_2;
